# 上海Linux用户组简介

大家好，我是喻昌远，来自上海Linux用户组，非常感谢AOSCC 2023的邀请。今天我会给大家简单的介绍一下上海LUG，包括诞生的背景、发展的过程，以及现状。

先自我介绍一下。我是自由和开源软件的爱好者，长期使用Linux，曾经用了很长时间的Gentoo，最近几年开始用NixOS。目前是SHLUG的活跃维护者，负责发发活动通知，组织线下活动，然后维护一下线上社区，由于近几年线上社区已经不太活跃了，所以维护线上社区基本就是刷刷微信了。

下面正式开始吧。

上世纪九十年代末，作为国内最早接触GNU/Linux系统的地区之一，上海已经有了相当数量的用户，也就自然在上海地区形成了Linux用户组，即“[上海Linux用户组](https://www.shlug.org)”，缩写为“SHLUG”。

SHLUG社区最初是在PCHOME(irc.pchome.net)的#unix频道形成的，社区开始也并非叫“上海Linux用户组”，而是叫“geekbone”，并建立了一个网站[geekbone.net](https://www.shlug.org/archive/geekbone/)，这个网站于05年迁移到了www.shlug.org这个网址。

当时，SHLUG社区的活动包括日常在线交流和定期组织的线下活动。在线交流依然是在PCHOME IRC的#unix和#geekbone频道，线下活动则是每年举办几次技术聚会，在聚会上分享GNU/Linux、自由软件相关的技术，部分线下活动的资料可以在存档的geekbone网站上找到。

由于原来geekbone网站已经不维护了，所以我们保留了一个[存档](https://www.shlug.org/archive/geekbone)，绝大多数资料都能访问到。

除了社区的线上和线下交流活动，当时SHLUG最重要的工作是维护了一个Debian在国内的镜像站，即mirror.geekbone.org。由于Linux系统在日常的系统升级或安装软件时，一般需要通过网络进行下载。而由于巨大的网络下载量，Linux发行版一般通过在世界各地建立镜像站点的方式，来实现降低网站负载，提高用户下载速度的目的。因此一个地区的镜像站对于该地区Linux的发展具有举足轻重的作用。

Geekbone镜像站是2003年2月开始上线的，03年的年初的线下聚会后，部分社区成员提出了建立一个Debian镜像的倡议，并得到了大家的支持。镜像的整个生命周期中，从最开始的硬件，到中间硬件的更新换代、维护等，都是通过社区成员捐款捐物的方式实现的，而服务器的日常维护工作，也是社区成员自主完成的。

03年前，Debian在国内仅有Linux论坛的一个镜像，从03年开始一直到2010年，Debian在国内的镜像站始终保持只有两三个左右的情况，其中就包括geekbone镜像站。因此，对于国内的Debian用户来说，这段时期geekbone的存在具有很大的意义，对于国内Linux的发展来说，也是非常重要的。

2011年以后，包括清华、中科大等大学，以及网易、阿里巴巴等互联网公司，陆续都推出了Debian的镜像站，无论从硬件性能还是带宽资源上，geekbone都不如这些新的镜像站，因此geekbone镜像站在2012年停止了运行，[完成了它的历史使命](https://www.shlug.org/archive/shlug/%3Fp=1515/)。

2010年后，SHLUG社区发生了一些变化，并一直持续到现在。首先是线下引入了[Hacking Thursday](https://www.shlug.org/about/#hacking-thursday)的活动，简称H4，每周四定期定点举行线下聚会，时间一般是在晚上7点到10点左右，地点一般是在市中心的咖啡厅，方便大家前往。聚会一般以聊天或讨论的为主，讨论话题也比较随意，不设讨论固定话题，但大家一般都会交流一些自由与开源软件、操作系统、编程技术或其他计算机技术的内容。大家总能在聚会上听到，当时最新最热门的一些IT相关的话题。此外，很多同学会带笔记本电脑过去，可以在交流的时候用来说明碰到的问题或展示自己的想法。

其次，加大了技术分享活动的频度，每月举办一次比较正式的讲座，我们称之为[月度分享或月度讲座](https://www.shlug.org/about/#%E6%9C%88%E5%BA%A6%E8%AE%B2%E5%BA%A7monthly-meetup)。当然，由于场地和人员的不确定性，活动并非每个月都能举行。讲座的主题一般是比较热门的自由和开源软件技术，或者大家比较关心的一些实用技巧，或者其他符合极客精神的内容。这些年来，SHLUG的月度讲座覆盖了相当多的领域，例如热门的IT技术，包括大数据、函数式编程、深度学习、分布式技术、容器、深度学习、区块链等；Linux系统底层的相关技术，诸如ZFS文件系统、发行版软件打包、内核代码的阅读等，以及偏向硬件方向的，涉及嵌入式系统、智能家具等。不过最近几年由于种种原因，举办的频次有所降低。

前面提到的是社区线下的活动，线上的内容也发生了变化，首先是网站进行了[改版](https://www.shlug.org/archive/shlug)，然后在16年再次进行了改版，网站迁移到了[GitHub](https://github.com/shanghailug)（[源代码](https://github.com/shanghailug/shanghailug.github.io)）。前面提到的Hacking Thursday活动和月度分享活动的通知以及相关资料都可以在网站上找到。

其次，线上讨论，由IRC也转移到了邮件列表。邮件列表上有想当多的高质量讨论，也有很好的交流的氛围。最近几年，由于国内微信的普及，微信群组也逐渐取代邮件列表，成为SHLUG社区主要的线上交流渠道。

此外，由于去年有一段时间大家无法出门，也无法正常进行线下聚会，因此有社区成员建议举行线上的聊天活动。于是，从去年4月1日开始，每周五晚上通过jitsi视频会议，举行线上的闲聊活动。活动人数最多的时候在线超过30人，时间从晚上8点半一直持续到凌晨。由于今年年初恢复了线下活动，线上闲聊的活跃度大幅下降，改为每两周一次。

关于SHLUG社区就介绍到这里，大家有什么问题欢迎提问，或者有什么想法也可以直接交流。

谢谢大家！
